Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/local-post-ideas/generate-all-series-posts

Generate all local series posts

Generates all remaining posts for a content series in one call. Returns the generated ideas and a count.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Body

NameTypeRequiredDescription
locationIdstringrequired
seriesIdstringrequired

Request

Request
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/generate-all-series-posts' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "seriesId": "3a1f..."
}'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "generateAllLocalSeriesPosts": {
      "success": true,
      "ideas": [
        {}
      ],
      "pipelineId": "string",
      "generatedCount": 0,
      "error": {
        "message": "string",
        "code": "string",
        "contextInfo": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.generateAllLocalSeriesPostsobjectoptional
data.generateAllLocalSeriesPosts.successbooleanoptional
data.generateAllLocalSeriesPosts.ideasarray of objectoptionalGenerated post ideas (see Local post idea for the full shape).
data.generateAllLocalSeriesPosts.pipelineIdstringoptional
data.generateAllLocalSeriesPosts.generatedCountintegeroptional
data.generateAllLocalSeriesPosts.errorobjectoptional
data.generateAllLocalSeriesPosts.error.messagestringoptional
data.generateAllLocalSeriesPosts.error.codestringoptional
data.generateAllLocalSeriesPosts.error.contextInfoarray of objectoptional
data.generateAllLocalSeriesPosts.error.contextInfo[].keystringoptional
data.generateAllLocalSeriesPosts.error.contextInfo[].valuestringoptional